insheet using io1992.dat, tab clear
rename v1 prodcode
rename v2 conscode
rename v4 total
keep prodcode conscode total

keep if conscode=="9600I0" | conscode=="9600C0" | conscode=="9700I0" | conscode=="9700C0"

replace conscode="960000" if conscode=="9600I0"
replace conscode="960000" if conscode=="9600C0"
replace conscode="970000" if conscode=="9700I0"
replace conscode="970000" if conscode=="9700C0"
destring conscode, replace

destring prodcode, replace
keep if prodcode>=130000 & prodcode<650000
rename prodcode iocode6
gen int iocode4 = int(iocode6/100)
label var iocode4 "Producing industry code"
gen int year=1992

order year iocode4 iocode6 conscode total

*replace iocode4= if iocode6==
replace iocode4=1710 if iocode6==171100
replace iocode4=4904 if iocode6==470405
replace iocode4=4704 if iocode6==470500
replace iocode4=4907 if iocode6==490800
replace iocode4=5000 if iocode6==500100
replace iocode4=5000 if iocode6==500200
replace iocode4=5103 if iocode6==500300
replace iocode4=5000 if iocode6==500400
replace iocode4=5604 if iocode6==560500
replace iocode4=5805 if iocode6==580600
replace iocode4=5805 if iocode6==580700
replace iocode4=5803 if iocode6==620800
replace iocode4=5301 if iocode6==621100
replace iocode4=6210 if iocode6==620102
replace iocode4=6412 if iocode6==640700

collapse (sum) total, by(year iocode4 conscode)
sort iocode4

save 1992/iodata1992.dta, replace
