use iodata\1987\iocode1987-mfg.dta, replace
reshape long sic, i(code) j(foo)
drop foo
drop if sic==.
order code sic desc
label var sic "SIC code (1987)"
rename code iocode

sort sic
gen foo=int(sic/1000)
list if foo==0, clean

replace sic = 2111 in 1
replace sic = 2121 in 2
replace sic = 2131 in 3
replace sic = 2141 in 4
replace sic = 2221 in 5
replace sic = 2221 in 6
replace sic = 2231 in 7
replace sic = 2241 in 8
replace sic = 2273 in 9
replace sic = 2311 in 10
replace sic = 2411 in 12
replace sic = 2531 in 13
replace sic = 2611 in 14
replace sic = 2621 in 15
replace sic = 2631 in 16
replace sic = 2711 in 18
replace sic = 2721 in 19
replace sic = 2741 in 20
replace sic = 2761 in 22
replace sic = 2771 in 23
replace sic = 2851 in 26
replace sic = 2911 in 27
replace sic = 3011 in 28
replace sic = 3021 in 29
replace sic = 3069 in 30
replace sic = 3089 in 31
replace sic = 3111 in 32
replace sic = 3131 in 33
replace sic = 3151 in 34
replace sic = 3161 in 35
replace sic = 3199 in 36
replace sic = 3211 in 37
replace sic = 3231 in 38
replace sic = 3241 in 39
replace sic = 3281 in 40
replace sic = 3341 in 42
replace sic = 5461 in 43

drop foo
gen foo=int(sic/1000)
sort foo sic
save iocode1987.dta, replace

keep if foo==0
drop foo

expand 6 in 1
replace sic = 2381 in 1
replace sic = 2384 in 7
replace sic = 2385 in 8
replace sic = 2386 in 9
replace sic = 2387 in 10
replace sic = 2389 in 11

sort sic
expand 5 in 1
replace sic = 2652 in 1
replace sic = 2653 in 12
replace sic = 2655 in 13
replace sic = 2656 in 14
replace sic = 2657 in 15

sort sic
expand 3 in 1
sort sic
replace sic = 2752 in 1
replace sic = 2754 in 2
replace sic = 2759 in 3

sort sic
expand 4 in 1
sort sic
replace sic = 2812 in 1
replace sic = 2813 in 2
replace sic = 2816 in 3
replace sic = 2819 in 4

sort sic
expand 4 in 1
sort sic
replace sic = 2833 in 1
replace sic = 2834 in 2
replace sic = 2835 in 3
replace sic = 2836 in 4

sort sic
expand 4 in 1
sort sic
replace sic = 3321 in 1
replace sic = 3322 in 2
replace sic = 3324 in 3
replace sic = 3325 in 4

append using iocode1987.dta
sort sic
drop if foo==0
drop foo

drop if sic==2051

save iosic1987.dta, replace
