set more off

capture tab prodcode6, matrow(PROD)
local numprod = r(r)
capture tab conscode6, matrow(CONS)
local numcons = r(r)
noisily display c(current_date) " " c(current_time) "  numprod = `numprod', numcons = `numcons'"

mata: prodlist = st_matrix("PROD")
mata: conslist = st_matrix("CONS")
mata: codes = uniqrows((prodlist\conslist))
mata: st_matrix("CODES",codes)
*$noisily6 mat list CODES, noname
local numcodes = rowsof(CODES)

mat REQ = J(`numcodes',`numcodes',.)

local numprod 1
local numcons 1

* i = prod industry, j = cons industry
noisily display as text c(current_date) " " c(current_time) "  begin loop"
forvalues i = 1/`numprod' {
    local prodcode = PROD[`i',1]
    forvalues k = 1/`numcodes' {
        if CODES[`k',1]==`prodcode' local prodid = `k'
        continue, break
    }
    noisily display c(current_date) " " c(current_time) "  `prodcode'"
    forvalues j = 1/`numcons' {
        local conscode = cons[`j',1]
        forvalues k = 1/`numcodes' {
            if CODES[`k',1]==`conscode' local consid = `k'
            continue, break
        }
        mat REQ[`prodid',`consid'] = req if conscode6==`conscode' & prodcode6==`prodcode'
    }
}
noisily display as text c(current_date) " " c(current_time) "  end loop"
